const state = {
    currencies: {
        default: [],
        values: this.default
    }
}

const getters = {
    /**
     * 
     * @param {*} state 
     */
    currencies(state) {
        return state.currencies.values
    }
}

const mutations = {
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setCurrencies(state, payload) {
        state.currencies.values = [...payload]
    }
}

const actions = {
    /**
     * 
     * @param {*} param0 
     */
    setCurrencies({ commit }, payload) {
        commit('setCurrencies', payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}